claw::file_logger Class Reference

This class write log messages in a file. More...

`#include <log_stream.hpp>`

Inheritance diagram for claw::file_logger:

## Public Member Functions

| file_logger (const std::string &filename)
| Constructor.
virtual | ~file_logger ()
| Destructor.
virtual void | write (const std::string &str)
| Write a string in the file.
virtual void | flush ()
| Flush the stream.
Public Member Functions inherited from claw::log_stream
virtual | ~log_stream ()
| Destructor.
Public Member Functions inherited from claw::pattern::non_copyable
| non_copyable ()
| Default constructor.

## Detailed Description

This class write log messages in a file.

Author
  Julien Jorge

Definition at line 84 of file log_stream.hpp.

## Constructor & Destructor Documentation

## file_logger()

claw::file_logger::file_logger | ( | const std::string & | filename | ) |

Constructor.

Definition at line 79 of file log_stream.cpp.

## ~file_logger()

claw::file_logger::~file_logger | ( |  | ) |

virtual

Destructor.

Definition at line 88 of file log_stream.cpp.

## Member Function Documentation

## flush()

void claw::file_logger::flush | ( |  | ) |

virtual

Flush the stream.

Reimplemented from claw::log_stream.

Definition at line 106 of file log_stream.cpp.

## write()

void claw::file_logger::write | ( | const std::string & | str | ) |

virtual

Write a string in the file.

Implements claw::log_stream.

Definition at line 97 of file log_stream.cpp.

The documentation for this class was generated from the following files:

- log_stream.hpp
- code/log_stream.cpp